{% extends 'base.html' %}

{% block title %}
    Tasks
{% endblock title %}

{% block content %}


    <main>
        <div>
            <h1>My Tasks</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Start date</th>
                        <th>Due date</th>
                        <th>Is Completed</th>
                    </tr>
                </thead>
                <tbody>
                    {% for task in tasks %}
                    <tr>
                        <td>{{ task.name }}</td>
                        <td>{{ task.start_date }}</td>
                        <td>{{ task.due_date }}</td>
                        <td>{{ task.is_completed|yesno }}</td>
                    </tr>
                    {% empty %}
                    <p>You have no tasks</p>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>


{% endblock content %}
